Skip to content

Get 'Space notation'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/spaces/notations/spacenotation/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/spaces/notations/spacenotation/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

namestring, <= 255 characters(Name)required
descriptionstring(Description)required
categoryobject or null(Category)required
responsible_organization_userobject or null(Responsible user)required
start_datestring, (date)(Start date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: end_date

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters(Custom ID)
created_atstring, (date-time)(Created at)read-only
responsible_external_supplierobject or null(Responsible external supplier)
blocked_actionsArray of strings, unique(Blocked actions)

Additional Validation Information:

Enum Descriptions:

  • GENERAL_ERRANDS - General Errands

  • CONTRACTS - Contracts

  • LISTINGS - Listings

Items Enum:"GENERAL_ERRANDS""CONTRACTS""LISTINGS"
end_datestring or null, (date)(End date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: start_date

apartmentsArray of objects(Apartments)
industrial_premisesArray of objects(Industrial premises)
parking_spotsArray of objects(Parking spots)
outdoor_sectionsArray of objects(Outdoor sections)
common_areasArray of objects(Common areas)
brf_apartmentsArray of objects(Cooperative apartments)
tagsanyread-only
customer_columnsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "description": "string", "category": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "responsible_organization_user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "responsible_external_supplier": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "blocked_actions": "GENERAL_ERRANDS", "start_date": "2019-08-24", "end_date": "2019-08-24", "apartments": [ { … } ], "industrial_premises": [ { … } ], "parking_spots": [ { … } ], "outdoor_sections": [ { … } ], "common_areas": [ { … } ], "brf_apartments": [ { … } ], "tags": null, "customer_columns": null }